Game won't start: sndio has a new version, causes the old problem

mockmock Germany Join Date: 2014-03-28 Member: 195015Members, NS2 Playtester Posts: 58 Advanced user
For any other Arch user not being able to start this game once again with the usual
ns2_linux: error while loading shared libraries: libsndio.so.6.1: cannot open shared object file: No such file or directory
the reason is sndio was updated to version 7, game still depends on version 6.1.

So the only chance is to revert. And since it coming from the AUR, it won't be in the pacman cache anymore. Simplest way is to download it from Debian and copy it into /usr/lib.
vs7kylv75ey6.png
BeigeAlertNintendowsSupaFred

Comments

  • Ghosthree3Ghosthree3 Join Date: 2010-02-13 Member: 70557Members, Reinforced - Supporter Posts: 3,432 Advanced user
    edited March 7
    Easy enough to modify the PKGBUILD slightly with the old 1.2.0 zip from the sndio site. Did this myself a couple of weeks ago to get it working then blacklisted it from updating. Don't have it on hand at the moment because I'm using Windows to play the game since the Linux version crashes too often.

    Next time I get a chance I'll post it.

    EDIT: Is there some legal reason the required version isn't just static linked and bundled with the game?
    76561197996992409.png
    mock
  • mockmock Germany Join Date: 2014-03-28 Member: 195015Members, NS2 Playtester Posts: 58 Advanced user
    Is there some legal reason the required version isn't just static linked and bundled with the game?

    My guess is that since the officially supported Linux was Ubuntu 14.04, which includes the proper version, they just don't bother.
    NS2 always was a game, that you can play on Linux, but its support is fuzzy at best.
    vs7kylv75ey6.png
  • mockmock Germany Join Date: 2014-03-28 Member: 195015Members, NS2 Playtester Posts: 58 Advanced user
    Btw: couldn't you just collect all our NS2 workarounds for Arch and upload them to AUR, for example as NaturalSelection2-workarounds? :D
    vs7kylv75ey6.png
  • Ghosthree3Ghosthree3 Join Date: 2010-02-13 Member: 70557Members, Reinforced - Supporter Posts: 3,432 Advanced user
    edited March 8
    mock wrote: »
    Btw: couldn't you just collect all our NS2 workarounds for Arch and upload them to AUR, for example as NaturalSelection2-workarounds? :D

    There's other workarounds? I can't remember but I feel like I just installed sndio-1.2.0 and the rest worked out of the box.

    Here is what is essentially an AUR package that I haven't uploaded to the AUR. I might do that, but I still don't have my Arch system running so don't have my keys, I did this on a VPS.

    https://mega.nz/#!eNMmELRL!5eoO9pg1Zfwf-KwKJuRWcfh1tDSLw5wsBMtysme8W64

    Just tar xvf it, then do makepkg -sri from within the directory. If anyone else wants to upload it to the AUR instead go ahead.

    EDIT: Blacklisting not required with this one since it's named differently than the existing package.
    Post edited by Ghosthree3 on
    76561197996992409.png
  • hacked_13hacked_13 Join Date: 2009-01-05 Member: 65988Members, Reinforced - Shadow Posts: 5 Fully active user
    For other people on linux, you can do the following:

    The library file you need is from here: http://www.sndio.org/install.html
    wget http://www.sndio.org/sndio-1.2.0.tar.gz
    tar -xvf sndio-1.2.0.tar.gz
    cd sndio-1.2.0
    ./configure && make && sudo make install
    
    libsndio.so.6.1 is now installed into your system under "/usr/local/lib/"

    Now reboot or:

    Link the library to the same folder as your NS2 Install
    ln -sf /usr/local/lib/libsndio.so.6.1 ~/.steam/steam/steamapps/common/Natural\ Selection\ 2/x64/
    
    Pooshka
  • PooshkaPooshka Join Date: 2018-05-27 Member: 240960Members Posts: 1 Freshly registered user
    Thank you A LOT hacked_13 !
  • mockmock Germany Join Date: 2014-03-28 Member: 195015Members, NS2 Playtester Posts: 58 Advanced user
    This is still an issue under Ubuntu 18.10, btw.
    vs7kylv75ey6.png
  • .trixX..trixX. Budapest Join Date: 2007-10-11 Member: 62605Members Posts: 794 Advanced user
    The game is still listed on steam as supported on linux... which is not exactly true ever since the PDT took over.
    NO Cyril, when they're dead they're just hookers!
Sign In or Register to comment.